# Manually segmenting users

While Nosto leverages customer attributes and behavioral signals to automatically segment users, there may be scenarios where you may want to explicitly segment users. You can do so by affixing a segment-code to the current user and then leverage Nosto's segmentation tool to segment users with that specified attribute.

Manual segmentation requires a backup segment to be created in Nosto first. The code must match in segment rule and in javascript. If no matching backup segment exists, adding a segment code to the visit will not produce the intended segmentation behavior.

```javascript
nostojs(api => {
  api.addSegmentCodeToVisit('women');
});
```

The example above does not trigger a reload of all the placements. If you would like to reload all onsite content to reflect the new segment, you must explicitly reload it.

```javascript
nostojs(api => {
  api.loadRecommendations();
});
```

Once you have done so, read our guide on [segmenting users via custom events](https://help.nosto.com/en/articles/2398016-visit-custom-event).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nosto.com/techdocs/apis/frontend/js-apis/common-examples/manually-segmenting-users.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
